package openfrontiers.err;


/**
 * Raised when a function returning a cube returns null instead. This way, the error MUST be dealt with.
 * Not raised in functions like <code>plane.get(x,y,z)</code>
 */
public class NoCubeHereError extends OpenFrontiersError{

	private static final long serialVersionUID = 4974143483447817389L;

	public NoCubeHereError(){
		super("No cube found at specified location!");
	}

}
