package openfrontiers;

import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.JTextArea;
import javax.swing.SwingConstants;

import static openfrontiers.builtins.*;
import openfrontiers.game.game;
@SuppressWarnings({"static-access"}) //I think the alternative is a little silly. -Newt
public class menu{
	public static JFrame widget;
	public static JButton start_btn;
	public static JButton cheat_btn;
	public static JButton back_btn;
	public static JButton enter_seed_btn;
	public static JButton exit_btn;
	public static JTextArea cheat_box;
	public static JTextArea seed_box;
	public static JLabel cheat_lbl;
	public static JProgressBar bar;
	public enum mode {home,wgen,cheat};
	public static mode mode;
	
	public static void main(String[] args){
		menu thing = new menu();
		thing.doStufffff(args);
	}
	public void doStufffff(String[] args){
		
		mode = mode.home;
		//Init widget
		widget = new JFrame();
		widget.setTitle("OpenFrontiers");
		widget.setDefaultCloseOperation(3); //exit on close. If you think this is bad style, deal with it.
		widget.setSize(300,400);
		widget.setVisible(true);
		widget.setLayout(null);
		BufferedImage icon = null;
		try {
			icon = ImageIO.read(new File("/home/zeb/Documents/prog/OpenFrontiers/java/dir/openfrontiers/src/rsc/icon.gif"));
		} catch (IOException e) {
			e.printStackTrace();
		}
		widget.setIconImage(icon);
		
		//Init start button
		start_btn = new JButton("Generate New Level");
		widget.add(start_btn);
		start_btn.setLocation(50,50);
		start_btn.setSize(200,30);
		start_btn.setVisible(true);
		start_btn.setActionCommand("start");
		start_btn.addActionListener(new btn_clicked());
		
		//Init cheat button
		cheat_btn = new JButton("Enter Cheatcode");
		widget.add(cheat_btn);
		cheat_btn.setLocation(50,100);
		cheat_btn.setSize(200,30);
		cheat_btn.setVisible(true);
		cheat_btn.setActionCommand("cheat");
		cheat_btn.addActionListener(new btn_clicked());
		
		//Init back button
		back_btn = new JButton("Back");
		widget.add(back_btn);
		back_btn.setSize(200,30);
		back_btn.setVisible(false);
		back_btn.setActionCommand("back");
		back_btn.addActionListener(new btn_clicked());
		
		//Init exit button
		exit_btn = new JButton("Exit");
		widget.add(exit_btn);
		exit_btn.setLocation(50,300);
		exit_btn.setSize(200,30);
		exit_btn.setVisible(true);
		exit_btn.setActionCommand("exit");
		exit_btn.addActionListener(new btn_clicked());
		
		//Init cheat box
		cheat_box = new JTextArea();
		widget.add(cheat_box);
		cheat_box.setLocation(50,100);
		cheat_box.setSize(200,80);
		cheat_box.setFont(new Font("Monospace",Font.PLAIN,12));
		cheat_box.setVisible(false);
		
		//Init cheat label
		cheat_lbl = new JLabel();
		widget.add(cheat_lbl);
		cheat_lbl.setLocation(50,20);
		cheat_lbl.setSize(200,30);
		cheat_lbl.setVisible(false);
		cheat_lbl.setHorizontalAlignment(SwingConstants.CENTER);
		
		//Init progress bar
		bar = new JProgressBar();
		bar.setVisible(false);
		widget.add(bar);
	}
	public class btn_clicked implements ActionListener {
		public void actionPerformed(ActionEvent e){
			if(e.getActionCommand() == "start"){
				mode = mode.wgen;
				cheat_btn.setVisible(false);
				start_btn.setVisible(false);
				game g = new game();
				game.multiverse = g;
				g.generate_new("hello");
				g.play();
			}else if(e.getActionCommand() == "cheat"){
				if(mode == mode.home){
					mode = mode.cheat;
					back_btn.setLocation(50,250);
					cheat_btn.setLocation(50,200);
					start_btn.setVisible(false);
					cheat_box.setVisible(true);
					cheat_lbl.setVisible(true);
					back_btn.setVisible(true);
					exit_btn.setVisible(false);
				}else{
					String t = cheat_box.getText();
					System.out.print(t);
					System.out.println(t=="range");
					if(t=="range"){
						ArrayList<Integer> foobar = range(1,10,1);
						System.out.println(foobar);
					}
				}
			}else if(e.getActionCommand() == "back"){
				if(mode == mode.cheat){
					mode = mode.home;
					cheat_btn.setLocation(50,100);
					back_btn.setVisible(false);
					start_btn.setVisible(true);
					cheat_box.setVisible(false);
					cheat_lbl.setVisible(false);
					exit_btn.setVisible(true);
				}
			}else if(e.getActionCommand() == "exit"){
				System.exit(0);
			}
		}
	}
}
