package openfrontiers.event;

import openfrontiers.ArrayList;
import openfrontiers.err.NoCubeHereError;
import openfrontiers.game.game;
import openfrontiers.game.item.cube;
import openfrontiers.game.item.tool;
import openfrontiers.game.psycho.player;
import openfrontiers.newtjogl.nj;

public class event_carve extends baseevent{
	public int x,y,z;
	public player p;
	public tool t;
	
	public static ArrayList<event_carve> prehandlers = new ArrayList<event_carve>(), handlers = new ArrayList<event_carve>();
	
	@Override
	public void run(){
		Integer[] pos;
		try {
			pos = nj.s.firstcubeonmouse();
			x = pos[0];
			y = pos[1];
			z = pos[2];
			p = game.multiverse.p;
			t = p.active_tool();
			cube.carve_cube(p, x, y, z, t);
		} catch (NoCubeHereError e){
			//Do nothing
		}
	}
}
