package openfrontiers.event;

import openfrontiers.ArrayList;
import openfrontiers.err.NoCubeHereError;
import openfrontiers.game.psycho.player;
import openfrontiers.newtjogl.nj;

public class event_move extends baseevent{

	public static ArrayList<eventhandler<event_move>> handlers = new ArrayList<eventhandler<event_move>>(), prehandlers = new ArrayList<eventhandler<event_move>>();
	
	public player p;

	public event_move(player p){
		this.p = p;
	}

	@Override
	public void run(){
		try{
			Integer[] pos = nj.s.firstcubeonmouse();
			p.set_target(pos[0], pos[2]);
		}catch (NoCubeHereError e){
			p.set_target((int)p.x, (int)p.z);
		}
	}
}
