package openfrontiers.game;

import java.io.Serializable;

import openfrontiers.ArrayList;
import openfrontiers.wgen;
import openfrontiers.game.db.itemdb;
import openfrontiers.game.psycho.player;
import openfrontiers.game.util.tile;
import openfrontiers.newtjogl.nj;

public class game implements Serializable{
	public static final long serialVersionUID = -4082981491728497058L;
	public player p;
	public ArrayList<plane> mishmash = new ArrayList<plane>();
	public static game multiverse;
	public int default_plane = 0;
	
	public plane get_plane(tile t){
		return default_plane();
	}

	public plane default_plane(){
		return mishmash.get(default_plane);
	}
	public void add_plane(plane p){
		mishmash.add(p);
	}
	public void generate_new(String seed){
		mishmash.add(wgen.gen(seed));
		itemdb.initialize();
		p = new player();
	}
	public void play(){
		plane world = default_plane();
		nj.initialize();
		nj.s.world = world;
		nj.s.p = p;
		p.plane = world;
		nj.s.start();
	}
	public void set_default_plane(int i){
		default_plane = i;
	}
	public void set_default_plane(plane p){
		try{
			default_plane = mishmash.indexOf(p);
		}catch(Exception e){
			e.printStackTrace(System.out);
		}
	}
}
