package openfrontiers.game.item;

import openfrontiers.oflib;
import openfrontiers.game.db.cubedb;
import openfrontiers.game.psycho.player;

import com.jogamp.opengl.util.texture.Texture;

public class cube extends item{
	public static final int TD = oflib.dim_tile;
	public boolean carved;
	public int displist;
	public cube(int ID){
		super(ID);
		this.carved = false;
	}
	public static cube break_cube(player p,int x,int y,int z,tool t){
		return cube.carve_cube(p,x,y,z,t);
	}
	public static cube carve_cube(player p,int x,int y,int z,tool t){
		int id = p.plane.get(x, y, z);
		if(can_carve(t,id)){
			p.plane.set(x,y,z,0);
			return new cube(id);
		}else{
			return null;
		}
	}
	public static boolean can_carve(tool t, int id){
		return true;
	}
	///////////////// # Visual data # /////////////////////
	public Texture get_texture(){
		return cubedb.tex.get(ID);
	}
}