package openfrontiers.game.item;

import openfrontiers.game.db.itemdb;


public class item{
	
	public int ID;
	public int qty;
	
	public item(int ID){
		this.ID = ID;
		this.qty = 1;
	}
	public item(int ID,int qty){
		this.ID = ID;
		this.qty = qty;
	}
	/**
	 * @param ID - the ID of the item to be created
	 * @return the most specific item with the given ID.
	 * (i.e., will return a cube object if it can,
	 * and not just a regular item object.)
	 */
	public static item new_item(int ID){
		if(ID==0){
			return new air();
		}else if((0<ID)&&(ID<65536)){
			return new cube(ID);
		}else if((0x20000<=ID)&&(ID<0x20400)){
			return new tool(ID);
		}else{
			return new item(ID);
		}
	}
	public void printinfo(){
		System.out.println("ID: "+ID);
		System.out.println("Name: "+itemdb.name.get(ID));
		System.out.println("Qty: "+qty);
	}
}

