package openfrontiers.game.psycho;

import java.io.Serializable;

import javax.media.opengl.GL;
import javax.media.opengl.GL2;

import openfrontiers.game.item.item;
import openfrontiers.game.item.tool;
import openfrontiers.game.util.inventory;

public class player extends psycho implements Serializable{
	
	public static final long serialVersionUID = 8645908221475936022L;
	public inventory<item> inv = new inventory<item>();
	public inventory<tool> toolbox = new inventory<tool>();
	
	public player(){
		speed = 0.1;
	}

	@Override
	public void render(GL2 gl){
		gl.glBegin(GL.GL_TRIANGLES);
		gl.glVertex3d(x+1, y, z);
		gl.glVertex3d(x, y+1, z);
		gl.glVertex3d(x, y, z+1);
		
		gl.glVertex3d(x-1, y, z);
		gl.glVertex3d(x, y+1, z);
		gl.glVertex3d(x, y, z+1);
		
		gl.glVertex3d(x+1, y, z);
		gl.glVertex3d(x, y-1, z);
		gl.glVertex3d(x, y, z+1);
		
		gl.glVertex3d(x-1, y, z);
		gl.glVertex3d(x, y-1, z);
		gl.glVertex3d(x, y, z+1);
		
		gl.glVertex3d(x+1, y, z);
		gl.glVertex3d(x, y+1, z);
		gl.glVertex3d(x, y, z-1);
		
		gl.glVertex3d(x-1, y, z);
		gl.glVertex3d(x, y+1, z);
		gl.glVertex3d(x, y, z-1);
		
		gl.glVertex3d(x+1, y, z);
		gl.glVertex3d(x, y-1, z);
		gl.glVertex3d(x, y, z-1);
		
		gl.glVertex3d(x-1, y, z);
		gl.glVertex3d(x, y-1, z);
		gl.glVertex3d(x, y, z-1);
		gl.glEnd();
	}

	public tool active_tool(){
		return new tool(0x20000);
	}
}
