package openfrontiers.game.util;

import openfrontiers.ArrayList;
import openfrontiers.game.item.item;

public class inventory<E extends item> extends ArrayList<E>{
	public static final long serialVersionUID = 3266852350514351251L;
	
	@SuppressWarnings("unchecked")
	public void add_item(item x){
		if(this.contains_item(x.ID)){
			this.get(this.item_index(x.ID)).qty += x.qty;
		}else{
			this.add((E) x);
		}
	}
	/**
	 * @param ID - the ID of the item to be added
	 * @return true - if the inventory contains the specified item
	 */
	public boolean contains_item(int ID){
		for(item i:this){
			if(i.ID == ID){
				return true;
			}
		}
		return false;
	}
	public int item_index(int ID){
		for(int i=0;i<this.size();i++){
			if(this.get(i).ID==ID){
				return i;
			}
		}
		return -1;
	}
}
