package openfrontiers.game.util;

import openfrontiers.ArrayList;
import openfrontiers.oflib;
import openfrontiers.game.game;
import openfrontiers.game.plane;

public class tile extends ArrayList<ArrayList<ArrayList<Integer>>>{

	public static final long serialVersionUID = 1635912929803344500L;
	public transient static final int RD = oflib.dim_tile;
	
	public int xoff,zoff;
	public transient boolean is_built = false;
	
	public tile(int x, int z){
		xoff = x;
		zoff = z;
		for(int i=0;i<256;i++){
			this.add(new ArrayList<ArrayList<Integer>>());
			for(int j=0;j<256;j++){
				this.get(i).add(null);
			}
		}
	}
	public plane get_plane(){
		return game.multiverse.get_plane(this);
	}
	public void build(int x, int z, ArrayList<Integer> data){
		this.get(x).set(z, data);
		is_built = check_built();
	}
	public boolean check_built() {
		for(ArrayList<ArrayList<Integer>> i:this){
			for(ArrayList<Integer> j:i){
				if(j == null){
					return false;
				}
			}
		}
		return true;
	}
}
